BareMetal API, REST: PrivateSubnet.Create
Creates a private subnet in the specified folder.
HTTP request
POST https://baremetal.api.cloud.yandex.net/baremetal/v1alpha/privateSubnets
Body parameters
{
"name": "string",
"description": "string",
"hardwarePoolId": "string",
"vrfOptionsSpec": {
"vrfId": "string",
"cidr": "string",
"dhcpOptions": {
"startIp": "string",
"endIp": "string"
},
"gatewayIp": "string"
},
"folderId": "string",
"labels": "object"
}
|
Field |
Description |
|
name |
string Name of the private subnet. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Description of the private subnet. The maximum string length in characters is 1024. |
|
hardwarePoolId |
string ID of the hardware pool where the private subnet resides. The maximum string length in characters is 20. |
|
vrfOptionsSpec |
VRF options. Optional. |
|
folderId |
string ID of the folder to create a private subnet in. The maximum string length in characters is 50. Value must match the regular expression |
|
labels |
object (map<string, string>) Resource labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
VrfOptionsSpec
|
Field |
Description |
|
vrfId |
string ID of the VRF to create private subnet in. |
|
cidr |
string CIDR block. |
|
dhcpOptions |
DHCP options for the subnet. |
|
gatewayIp |
string Gateway IP address for the subnet. |
DhcpOptionsSpec
DHCP options for the private subnet.
|
Field |
Description |
|
startIp |
string Start IP address of the DHCP range (inclusive). |
|
endIp |
string End IP address of the DHCP range (inclusive). |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |